Extending Qt Creator Manual | MimeGlobPattern

Extending Qt Creator Manual 4.7.1

# MimeGlobPattern Class

(Utils::Internal::MimeGlobPattern)

- List of all members, including inherited members

## Public Functions

| MimeGlobPattern(const int &thePattern, const int &theMimeType, unsigned int theWeight = DefaultWeight, int s = ...)
| ~MimeGlobPattern()
bool | isCaseSensitive() const
bool | matchFileName(const int &filename) const
const int & | mimeType() const
const int & | pattern() const
unsigned int | weight() const

## Member Function Documentation

### MimeGlobPattern::MimeGlobPattern(const int &thePattern, const int &theMimeType, unsigned int theWeight = DefaultWeight, int s = ...)

Default constructs an instance of MimeGlobPattern.

### MimeGlobPattern::~MimeGlobPattern()

Destroys the instance of MimeGlobPattern.

### bool MimeGlobPattern::isCaseSensitive() const

### bool MimeGlobPattern::matchFileName(const int &filename) const

### const int &MimeGlobPattern::mimeType() const

### const int &MimeGlobPattern::pattern() const

### unsigned int MimeGlobPattern::weight() const